Subject: [Simple] This mail concerns of XCAP-diff-00 draft.

From: [email-masked]
Date: Wed, 30 Mar 2005 11:51:12 +0300

Hi all,

This mail concerns of XCAP-diff-00 draft. I marked the confusion part with => and <= with comments, below in line.

In Chapter 5 Usage with the Config Framework, it reads:

"   The framework for user agent profile delivery [8] defines an event
   package which can be used to subscribe to user, device, application
   or local-network data.  This data can be present in an XCAP server.
   Normally, content indirection [15] will be used as the NOTIFY body
   format, to indicate the specific document that has changed, and
   should be re-fetched.  => However, if the client includes an Accept
   header field including the MIME type "application/xcap-diff+xml", the
   server has the option of returning documents in this format instead.<= This sounds like the NOTIFY (including the initial NOTIFY) message body can contain the full document if using application/xcap-diff+xml MIME.

   When the client performs an initial subscription, the rules in [8]
   are used to select the set of documents which the subscription
   applies to.  Upon initial subscription, the server does not know
   which instance (where each instance is identified by an etag) the
   client currently posessses, if any.  Indeed, upon startup, the client
   will not have any documents.  => The initial NOTIFY in this case MUST
   include a <document> element for each document associated with the
   subscription.  The content of each of those <document> elements MUST
   be empty.  The "previous-etag" and "new-etag" attributes MUST be
   identical, and contain the entity tag for the current version of that
   resource." <= This sounds like the initial NOTIFY will contain a skeleton of the document and the eTag, and the UA needs to fetch the full document, probably via XCAP GET.

   When reading the referened sip-profile draft,it has similar statement:

"This section defines a new SIP event package [RFC3265].  The purpose
   of this event package is to send to subscribers notification of
   content changes to the profile(s) of interest and to provide the
   location of the profile(s) via content indirection
   [I-D.ietf-sip-content-indirect-mech] or =>directly in the body of the
   NOTIFY".<= It sounds like the NOTIFY will contain the full document.

The interest of mine is to understand the contents in the *initial* NOTIFY received in UA. I assume the subscribing UA may not be the owner of the document, suppose UA needs to fetch it via XCAP, is there consideration that server grants the access right to the user, with only GET (read) but not PUT(write)? Note the subscriber is supposed to get only the contents of the document, not the modification right. 

And a further question, is there a description in XCAP to restrict the scope of XML documents allowed to access by others? In short, I'd like to understand combining XCAP-diff with XCAP mechanism has considered all grey area issues.

Thanks a lot!

Regards
Tao

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple